Index: utils/pval.c
===================================================================
--- utils/pval.c	(revision 79734)
+++ utils/pval.c	(working copy)
@@ -343,7 +343,7 @@
 		if ( item->u4.regexten )
 			fprintf(fin, "regexten ");
 		if ( item->u3.hints )
-			fprintf(fin,"hints(%s) ", item->u3.hints);
+			fprintf(fin,"hint(%s) ", item->u3.hints);
 		
 		fprintf(fin,"%s => \n", item->u1.str);
 		print_pval_list(fin,item->u2.statements,depth+1);
Index: utils/conf2ael.c
===================================================================
--- utils/conf2ael.c	(revision 79734)
+++ utils/conf2ael.c	(working copy)
@@ -491,28 +491,43 @@
 			pval *exten = pvalCreateNode(PV_EXTENSION);
 			pvalContextAddStatement(tmptree, exten);
 			pvalExtenSetName(exten, ast_strdup(eroot->exten));
-			
+		
 			if (eroot->peer) {
 				pval *block = pvalCreateNode(PV_STATEMENTBLOCK);
 				pvalExtenSetStatement(exten, block);
 				
 				e = 0;
 				while ( (e = localized_walk_extension_priorities(eroot, e)) ) {
-					/* printf("           %s(%s)\n", e->app, (char*)e->data); */
 					
 					pval *statemnt = pvalCreateNode(PV_APPLICATION_CALL);
 					pval *args = pvalCreateNode(PV_WORD);
 					
+					/* printf("           %s(%s)\n", e->app, (char*)e->data); */
+
 					pvalAppCallSetAppName(statemnt, ast_strdup(e->app));
 					pvalWordSetString(args, ast_strdup(e->data));
 					pvalAppCallAddArg(statemnt, args);
 					
 					pvalStatementBlockAddStatement(block, statemnt);
 				}
+			} else if (eroot->priority == -1) {
+
+				pval *statemnt = pvalCreateNode(PV_APPLICATION_CALL);
+				pval *args = pvalCreateNode(PV_WORD);
+
+				/* printf("Mike, we have a hint on exten %s with data %s\n", eroot->exten, eroot->app); */
+
+				pvalAppCallSetAppName(statemnt, "NoOp");
+				pvalWordSetString(args, ast_strdup(eroot->app));
+
+
+				pvalExtenSetStatement(exten, statemnt);
+				pvalExtenSetHints(exten, ast_strdup(eroot->app));
 			} else {
+
 				pval *statemnt = pvalCreateNode(PV_APPLICATION_CALL);
 				pval *args = pvalCreateNode(PV_WORD);
-
+	
 				/* printf("           %s (%s)\n", eroot->app, (char *)eroot->data); */
 				
 				pvalAppCallSetAppName(statemnt, ast_strdup(eroot->app));
